Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	gnutls - a TLS (Transport Layer Security) 1.0 and SSL (Secure Sockets Layer) 3.0 implementation.
Name:		gnutls
Version:	2.10.4
Release:	1
License:	GNU/GPL
URL:		http://www.gnutls.org
Group:		System/Libraries
Source0:	gnutls-%{version}.tar.bz2
BuildArch:	i686
BuildRequires:	opencdk-devel
BuildRequires:	lzo-devel >= 2.01
Requires(post,preun): /sbin/install-info

BuildRequires: lzo-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gmp-devel
BuildRequires: guile-devel
BuildRequires: libcfg+-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libtool-devel
BuildRequires: ncurses-devel
BuildRequires: pkg-config
BuildRequires: readline-devel
BuildRequires: zlib-devel

%description
GnuTLS is a project that aims to develop a library which provides a secure
layer, over a reliable transport layer. Currently the GnuTLS library implements
the proposed standards by the IETF's TLS working group (TLS1 & SSL3.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
/sbin/install-info %_infodir/gnutls.info.gz %_infodir/dir
 
%preun 
if [ "$1" = 0 ]; then 
/sbin/install-info --del %_infodir/gnutls.info.gz %_infodir/dir 
fi 

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--disable-debug \
--with-lzo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
# removing of %_infodir/dir
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%{_bindir}/certtool
%{_bindir}/gnutls-cli
%{_bindir}/gnutls-cli-debug
%{_bindir}/gnutls-serv
%{_bindir}/psktool
%{_bindir}/srptool
%{_libdir}/libgnutls-extra.so.*
%{_libdir}/libgnutls-openssl.so.*
%{_libdir}/libgnutls.so.*
%{_libdir}/libgnutlsxx.so.*
%{_libdir}/libguile-gnutls-extra-v-1.so.*
%{_libdir}/libguile-gnutls-v-1.so.*
%{_infodir}/gnutls-certificate-user-use-case.png.gz
%{_infodir}/gnutls-client-server-use-case.png.gz
%{_infodir}/gnutls-extensions_st.png.gz
%{_infodir}/gnutls-handshake-sequence.png.gz
%{_infodir}/gnutls-handshake-state.png.gz
%{_infodir}/gnutls.info-1.gz
%{_infodir}/gnutls.info-2.gz
%{_infodir}/gnutls.info-3.gz
%{_infodir}/gnutls.info.gz
%{_infodir}/gnutls-internals.png.gz
%{_infodir}/gnutls-layers.png.gz
%{_infodir}/gnutls-logo.png.gz
%{_infodir}/gnutls-mod_auth_st.png.gz
%{_infodir}/gnutls-objects.png.gz
%{_infodir}/gnutls-pgp.png.gz
%{_infodir}/gnutls-x509.png.gz
%{_datadir}/guile/site/gnutls/extra.scm
%{_datadir}/guile/site/gnutls.scm
%{_locale}/*/LC_MESSAGES/libgnutls.mo
%{_mandir}/man1/certtool.1.gz
%{_mandir}/man1/gnutls-cli.1.gz
%{_mandir}/man1/gnutls-cli-debug.1.gz
%{_mandir}/man1/gnutls-serv.1.gz
%{_mandir}/man1/psktool.1.gz
%{_mandir}/man1/srptool.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/gnutls
%{_libdir}/libgnutls.a
%{_libdir}/libgnutls-extra.a
%{_libdir}/libgnutls-extra.la
%{_libdir}/libgnutls-extra.so
%{_libdir}/libgnutls.la
%{_libdir}/libgnutls-openssl.a
%{_libdir}/libgnutls-openssl.la
%{_libdir}/libgnutls-openssl.so
%{_libdir}/libgnutls.so
%{_libdir}/libgnutlsxx.a
%{_libdir}/libgnutlsxx.la
%{_libdir}/libgnutlsxx.so
%{_libdir}/libguile-gnutls-extra-v-1.a
%{_libdir}/libguile-gnutls-extra-v-1.la
%{_libdir}/libguile-gnutls-extra-v-1.so
%{_libdir}/libguile-gnutls-v-1.a
%{_libdir}/libguile-gnutls-v-1.la
%{_libdir}/libguile-gnutls-v-1.so
%{_pkgconfig}/gnutls-extra.pc
%{_pkgconfig}/gnutls.pc
%{_mandir}/man3/gnutls_*.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 08 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.10.4-1
- Version update
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.10.1-1
- Version update
* Thu Jun 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.8.6-1
- Version update
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 2.8.5-1
- Version update, removed rpm as a require
* Wed Sep 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.8.3-1
- Version update
* Wed Sep 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.6.6-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.6.4-1
- Version update
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Sun May 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-2
- added lzma compression enabled rpm as requirement 
* Wed May 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-1
- Version update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.2.2-1
- Version update
* Thu Apr 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- Version update
* Mon Nov 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- Version update
* Fri Sep 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-1
- Version update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Tue May 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-1
- Version update
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.4-1
- Version update
* Tue Jan 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.3-2
- tweaking specfile, added removing %_infodir/dir
* Sun Jan 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Version Update
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-4
- Bugfix
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-3
- Minor Bugfix
* Mon Dec 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-2
- Moved more files to devel package, redefined files list
* Sat Dec 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version Update
* Tue Jul 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.4-4
- Added infofile install
* Sat Jul 02 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-3
- rebuilt against lzo 2.01
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.4-2
- Cleaned out specfile, moved static libs to devel package
* Sun Jun 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version Update to 1.2.4, fixed dependencies
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.22-1
- Initial Release
